Subject: Re: qla3xxx: Odd likely incorrect use of test_bit in qla3xxx.c

From: Joe Perches <[email-masked]>
Date: Wed, 13 May 2015 09:08:14 -0700

On Wed, 2015-05-13 at 16:19 +0300, Dan Carpenter wrote:
> I wrote a Smatch check to find similar bugs.

Nice.

It didn't look like something coccinelle could do and
I didn't know smatch syntax well enough (OK, I don't
know smatch syntax at all), to write something to find
these defects but I thought, if anyone, you could.

Thanks Dan for doing it.

> ath9k had memory corruption because they do:
> 	set_bit(BIT(6), &some_unsigned_long);
> Anyway, I'll send patches for the bugs I found and push the Smatch
> check.